### Method

# Ide Snippet get_trigger

#### Declaration

    const gchar*
    ide_snippet_get_trigger (
      IdeSnippet* self
    )

#### Description

Gets the trigger for the source snippet.

Available since: | 3.32

Gets property | `Ide.Snippet:trigger`

#### Return value

Returns: | `const gchar*`
| A trigger if specified.
| The data is owned by the instance.
| The return value can be `NULL`.
| The value is a NUL terminated UTF-8 string.